#include<iostream>
#include<string>
using namespace std;

const int MAXN=1048577;

int tree[MAXN], n, m;

void update(int pos, int delta)
{
    while(pos<=n)
    {
       tree[pos]+=delta;
       pos+=pos&(-pos);
    }
}

int sum(int pos)
{
   if(pos==0) return 0;
   int res=0;
   while(pos>0)
   {
      res+=tree[pos];
      pos-=pos&(-pos);
   }
   return res;
}



int main()
{
   ios::sync_with_stdio(false);
   cin.tie(NULL); cout.tie(NULL);
   string s;
   cin >> s;
   n=s.size();
   for(int i=0; i<n; i++)
     if(s[i]=='1') update(i+1,1);
   int q, st, b, e, pos;
   cin >> q;
   for(st=0; st<q; st++)
   {
      int br1=0;
      cin >> pos;
      b=st%n+1;
      e=(pos+st-1)%n+1;
      if(b<e) br1=sum(e-1)-sum(b-1);
      else if(b>e) br1=sum(n)-sum(b-1)+sum(e-1);
      if(br1&1) update(e,1);
   }
   b=st%n+1;
   for(int i=b; i<=n; i++)
     if((sum(i)-sum(i-1))&1) cout << 1;
     else cout << 2;
   for(int i=1; i<b; i++)
     if((sum(i)-sum(i-1))&1) cout << 1;
     else cout << 2;
   cout << '\n';
   return 0;  
}