#include<iostream>
#include<string>
using namespace std;

const int MAXN=1048580;

int tree[2*MAXN], m;

void update(int pos, int delta)
{
   tree[pos]+=delta;
   pos>>=1;
   while(pos>0)
   {
     tree[pos]+=delta;
     pos>>=1;
   }
}

int sum(int pos)
{
   if(pos<m) return 0;
   int res=tree[pos];
   while(pos>0)
   {
      if(pos&1) res+=tree[pos-1];
      pos>>=1;
   }
   return res;
}



int main()
{
   ios::sync_with_stdio(false);
   cin.tie(NULL); cout.tie(NULL);
   string s;
   cin >> s;
   int n, n1;
   m=1;
   n=s.size();
   n1=n-1;
   while(n1!=0)
   {
      n1>>=1;
      m<<=1;
   }
   for(int i=0; i<n; i++)
     if(s[i]=='1') update(m+i,1); 
   int q, st, b, e, pos;
   cin >> q;
   for(st=0; st<q; st++)
   {
      int br1=0;
      cin >> pos;
      pos--;
      b=st%n;
      e=(pos+st)%n;
      if(b<e) br1=sum(m+e-1)-sum(m+b-1);
      else if(b>e) br1=sum(m+n-1)-sum(m+b-1)+sum(m+e-1);
      if(br1&1) update(e+m,1);
   }
   b=st%n;
   for(int i=b; i<n; i++)
     if(tree[m+i]&1) cout << 1;
     else cout << 2;
   for(int i=0; i<b; i++)
     if(tree[m+i]&1) cout << 1;
     else cout << 2;
   cout << '\n';
   return 0;
}